%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Netload plugin for the Xfce panel
Name:		xfce4-netload-plugin
Version:	1.2.4
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-netload-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-netload-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
Requires:	xfce4-panel

%description
A netload panel plugin for the Xfce Desktop Environment.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libnetload.so
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.2.4-3.mga6
+ Revision: 952552
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 1.2.4-2.mga5
+ Revision: 817451
- rebuild for new libxfce4util

* Sun Nov 23 2014 wally <wally> 1.2.4-1.mga5
+ Revision: 798417
- new version 1.2.4

* Sun Nov 02 2014 wally <wally> 1.2.2-1.mga5
+ Revision: 795218
- new version 1.2.2
- drop patches from upstream
- exclude plugin .so from provides

* Sun Nov 02 2014 wally <wally> 1.2.0-7.mga5
+ Revision: 795194
- add patch from upstream git to fix crash after suspend/resume (xfce#9172)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-6.mga5
+ Revision: 742040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 690620
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-4.mga4
+ Revision: 520623
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 386851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.2.0-2.mga3
+ Revision: 338185
- fix build after %%_libexecdir change

* Sun Jul 15 2012 wally <wally> 1.2.0-1.mga3
+ Revision: 271064
- new version 1.2.0

* Tue May 29 2012 wally <wally> 1.1.0-2.mga3
+ Revision: 249320
- rebuild for new libxfce4util
- clean .spec

* Sat Jan 14 2012 wally <wally> 1.1.0-1.mga2
+ Revision: 195999
- new version 1.1.0
- clean .spec a bit

* Tue Jan 03 2012 wally <wally> 1.0.0-3.mga2
+ Revision: 190066
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54186
- imported package xfce4-netload-plugin


* Sun Dec 12 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 620599
- update to new version 1.0.0
- update buildrequires
- update URL for Source0
- update file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-11mdv2010.1
+ Revision: 543432
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.4.0-10mdv2010.0
+ Revision: 446105
- rebuild

* Sun Mar 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-9mdv2009.1
+ Revision: 360424
- disable checks for format-strings
- use _disable_ld_as_needed to make it build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-7mdv2009.0
+ Revision: 194670
- Patch0: fix wrong bar colors on some gtk themes

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-6mdv2008.1
+ Revision: 110126
- correct buildrequires
- do not package COPYING file
- new license policy
- use upstream tarball name as a real name
- use upstream name

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-5mdv2008.0
+ Revision: 33233
- spec file clean
- update url

